searchNodes=[{"doc":"Handles decoding and managing Momento authentication credentials.","ref":"Momento.Auth.CredentialProvider.html","title":"Momento.Auth.CredentialProvider","type":"module"},{"doc":"","ref":"Momento.Auth.CredentialProvider.html#auth_token/1","title":"Momento.Auth.CredentialProvider.auth_token/1","type":"function"},{"doc":"","ref":"Momento.Auth.CredentialProvider.html#cache_endpoint/1","title":"Momento.Auth.CredentialProvider.cache_endpoint/1","type":"function"},{"doc":"","ref":"Momento.Auth.CredentialProvider.html#control_endpoint/1","title":"Momento.Auth.CredentialProvider.control_endpoint/1","type":"function"},{"doc":"Fetches the given environment variable and parses it into a credential. Returns the credential or raises an exception. Supply control_endpoint or cache_endpoint in the options to override them. Examples iex&gt; Momento.Auth.CredentialProvider . from_env_var! ( &quot;MOMENTO_AUTH_TOKEN&quot; ) % Momento.Auth.CredentialProvider { }","ref":"Momento.Auth.CredentialProvider.html#from_env_var!/2","title":"Momento.Auth.CredentialProvider.from_env_var!/2","type":"function"},{"doc":"Parses the given string into a credential. Returns the credential or raises an exception. Supply control_endpoint or cache_endpoint in the options to override them. Examples iex&gt; valid_token = &quot;valid_token&quot; # This should be a valid Momento auth token. iex&gt; Momento.Auth.Credential . from_string! ( valid_token ) % Momento.Auth.Credential { }","ref":"Momento.Auth.CredentialProvider.html#from_string!/2","title":"Momento.Auth.CredentialProvider.from_string!/2","type":"function"},{"doc":"","ref":"Momento.Auth.CredentialProvider.html#t:t/0","title":"Momento.Auth.CredentialProvider.t/0","type":"opaque"},{"doc":"Client to perform operations against a Momento cache.","ref":"Momento.CacheClient.html","title":"Momento.CacheClient","type":"module"},{"doc":"Creates a new CacheClient instance. Parameters config : A struct containing all tunable client settings. credential_provider : A struct representing the credentials to connect to the server. Returns A %Momento.CacheClient{} struct representing the connected client.","ref":"Momento.CacheClient.html#create!/3","title":"Momento.CacheClient.create!/3","type":"function"},{"doc":"Creates a cache if it does not exist. Parameters client : A %Momento.CacheClient{} struct representing the connected client. cache_name : The name of the cache to create. Must be a string. Returns {:ok, %Momento.Responses.CreateCache.Ok{}} on a successful create. :already_exists if a cache with the specified name already exists. {:error, error} tuple if an error occurs.","ref":"Momento.CacheClient.html#create_cache/2","title":"Momento.CacheClient.create_cache/2","type":"function"},{"doc":"Delete a value from the cache. Parameters client : A %Momento.CacheClient{} struct representing the connected client. cache_name : The name of the cache to fetch the value from. Must be a string. key : The key of the value to fetch. Must be a binary. Returns {:ok, %Momento.Responses.Delete.Ok{}} on a successful deletion. {:error, error} tuple if an error occurs.","ref":"Momento.CacheClient.html#delete/3","title":"Momento.CacheClient.delete/3","type":"function"},{"doc":"Deletes a cache and all items stored in it. Parameters client : A %Momento.CacheClient{} struct representing the connected client. cache_name : The name of the cache to delete. Must be a string. Returns {:ok, %Momento.Responses.DeleteCache.Ok{}} on a successful delete. {:error, error} tuple if an error occurs.","ref":"Momento.CacheClient.html#delete_cache/2","title":"Momento.CacheClient.delete_cache/2","type":"function"},{"doc":"Get a value from the cache. Parameters client : A %Momento.CacheClient{} struct representing the connected client. cache_name : The name of the cache to fetch the value from. Must be a string. key : The key of the value to fetch. Must be a binary. Returns {:ok, %Momento.Responses.Get.Hit{value: value}} tuple if the key exists. :miss if the key does not exist. {:error, error} tuple if an error occurs.","ref":"Momento.CacheClient.html#get/3","title":"Momento.CacheClient.get/3","type":"function"},{"doc":"List all caches. Parameters client : A %Momento.CacheClient{} struct representing the connected client. Returns {:ok, %Momento.Responses.ListCaches.Ok{caches: caches}} on a successful listing. {:error, error} tuple if an error occurs.","ref":"Momento.CacheClient.html#list_caches/1","title":"Momento.CacheClient.list_caches/1","type":"function"},{"doc":"Set the value in cache with a given time to live (TTL) seconds. Parameters client : A %Momento.CacheClient{} struct representing the connected client. cache_name : The name of the cache to store the value in. Must be a string. key : The key to store the value under. Must be a binary. value : The value to be stored. Must be a binary. ttl_seconds : The time-to-live of the cache entry in seconds. Must be positive. Returns {:ok, %Momento.Responses.Set.Ok{}} on a successful set. {:error, error} tuple if an error occurs.","ref":"Momento.CacheClient.html#set/5","title":"Momento.CacheClient.set/5","type":"function"},{"doc":"","ref":"Momento.CacheClient.html#sorted_set_fetch_by_rank/4","title":"Momento.CacheClient.sorted_set_fetch_by_rank/4","type":"function"},{"doc":"","ref":"Momento.CacheClient.html#sorted_set_fetch_by_score/4","title":"Momento.CacheClient.sorted_set_fetch_by_score/4","type":"function"},{"doc":"","ref":"Momento.CacheClient.html#sorted_set_get_rank/5","title":"Momento.CacheClient.sorted_set_get_rank/5","type":"function"},{"doc":"","ref":"Momento.CacheClient.html#sorted_set_get_score/4","title":"Momento.CacheClient.sorted_set_get_score/4","type":"function"},{"doc":"","ref":"Momento.CacheClient.html#sorted_set_get_scores/4","title":"Momento.CacheClient.sorted_set_get_scores/4","type":"function"},{"doc":"","ref":"Momento.CacheClient.html#sorted_set_increment_score/6","title":"Momento.CacheClient.sorted_set_increment_score/6","type":"function"},{"doc":"","ref":"Momento.CacheClient.html#sorted_set_put_element/6","title":"Momento.CacheClient.sorted_set_put_element/6","type":"function"},{"doc":"","ref":"Momento.CacheClient.html#sorted_set_put_elements/5","title":"Momento.CacheClient.sorted_set_put_elements/5","type":"function"},{"doc":"","ref":"Momento.CacheClient.html#sorted_set_remove_element/4","title":"Momento.CacheClient.sorted_set_remove_element/4","type":"function"},{"doc":"","ref":"Momento.CacheClient.html#sorted_set_remove_elements/4","title":"Momento.CacheClient.sorted_set_remove_elements/4","type":"function"},{"doc":"","ref":"Momento.CacheClient.html#t:t/0","title":"Momento.CacheClient.t/0","type":"opaque"},{"doc":"Configuration for Momento CacheClient","ref":"Momento.Config.Configuration.html","title":"Momento.Config.Configuration","type":"module"},{"doc":"","ref":"Momento.Config.Configuration.html#with_transport_strategy/2","title":"Momento.Config.Configuration.with_transport_strategy/2","type":"function"},{"doc":"","ref":"Momento.Config.Configuration.html#t:t/0","title":"Momento.Config.Configuration.t/0","type":"opaque"},{"doc":"Encapsulates gRPC configuration tunables.","ref":"Momento.Config.Transport.GrpcConfiguration.html","title":"Momento.Config.Transport.GrpcConfiguration","type":"module"},{"doc":"","ref":"Momento.Config.Transport.GrpcConfiguration.html#t:t/0","title":"Momento.Config.Transport.GrpcConfiguration.t/0","type":"opaque"},{"doc":"Configuration for the low-level Momento transport layer","ref":"Momento.Config.Transport.TransportStrategy.html","title":"Momento.Config.Transport.TransportStrategy","type":"module"},{"doc":"Copy constructor for overriding the gRPC configuration","ref":"Momento.Config.Transport.TransportStrategy.html#with_grpc_config/2","title":"Momento.Config.Transport.TransportStrategy.with_grpc_config/2","type":"function"},{"doc":"","ref":"Momento.Config.Transport.TransportStrategy.html#t:t/0","title":"Momento.Config.Transport.TransportStrategy.t/0","type":"opaque"},{"doc":"","ref":"Momento.Error.html","title":"Momento.Error","type":"module"},{"doc":"","ref":"Momento.Error.html#convert/1","title":"Momento.Error.convert/1","type":"function"},{"doc":"","ref":"Momento.Error.html#invalid_argument/2","title":"Momento.Error.invalid_argument/2","type":"function"},{"doc":"","ref":"Momento.Error.html#t:t/0","title":"Momento.Error.t/0","type":"type"},{"doc":"","ref":"Momento.Error.Code.html","title":"Momento.Error.Code","type":"module"},{"doc":"","ref":"Momento.Error.Code.html#already_exists_error/0","title":"Momento.Error.Code.already_exists_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#authentication_error/0","title":"Momento.Error.Code.authentication_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#bad_request_error/0","title":"Momento.Error.Code.bad_request_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#cancelled_error/0","title":"Momento.Error.Code.cancelled_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#client_resource_exhausted/0","title":"Momento.Error.Code.client_resource_exhausted/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#internal_server_error/0","title":"Momento.Error.Code.internal_server_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#invalid_argument_error/0","title":"Momento.Error.Code.invalid_argument_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#limit_exceeded_error/0","title":"Momento.Error.Code.limit_exceeded_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#not_found_error/0","title":"Momento.Error.Code.not_found_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#permission_error/0","title":"Momento.Error.Code.permission_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#server_unavailable/0","title":"Momento.Error.Code.server_unavailable/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#timeout_error/0","title":"Momento.Error.Code.timeout_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#unknown/0","title":"Momento.Error.Code.unknown/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#unknown_service_error/0","title":"Momento.Error.Code.unknown_service_error/0","type":"function"},{"doc":"","ref":"Momento.Error.Code.html#t:t/0","title":"Momento.Error.Code.t/0","type":"type"},{"doc":"","ref":"Momento.Internal.ScsControlClient.html","title":"Momento.Internal.ScsControlClient","type":"module"},{"doc":"","ref":"Momento.Internal.ScsControlClient.html#create!/1","title":"Momento.Internal.ScsControlClient.create!/1","type":"function"},{"doc":"","ref":"Momento.Internal.ScsControlClient.html#create_cache/2","title":"Momento.Internal.ScsControlClient.create_cache/2","type":"function"},{"doc":"","ref":"Momento.Internal.ScsControlClient.html#delete_cache/2","title":"Momento.Internal.ScsControlClient.delete_cache/2","type":"function"},{"doc":"","ref":"Momento.Internal.ScsControlClient.html#list_caches/1","title":"Momento.Internal.ScsControlClient.list_caches/1","type":"function"},{"doc":"","ref":"Momento.Internal.ScsControlClient.html#t:t/0","title":"Momento.Internal.ScsControlClient.t/0","type":"opaque"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html","title":"Momento.Internal.ScsDataClient","type":"module"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html#create!/1","title":"Momento.Internal.ScsDataClient.create!/1","type":"function"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html#delete/3","title":"Momento.Internal.ScsDataClient.delete/3","type":"function"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html#get/3","title":"Momento.Internal.ScsDataClient.get/3","type":"function"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html#set/5","title":"Momento.Internal.ScsDataClient.set/5","type":"function"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html#sorted_set_fetch_by_rank/6","title":"Momento.Internal.ScsDataClient.sorted_set_fetch_by_rank/6","type":"function"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html#sorted_set_fetch_by_score/8","title":"Momento.Internal.ScsDataClient.sorted_set_fetch_by_score/8","type":"function"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html#sorted_set_get_rank/5","title":"Momento.Internal.ScsDataClient.sorted_set_get_rank/5","type":"function"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html#sorted_set_get_score/4","title":"Momento.Internal.ScsDataClient.sorted_set_get_score/4","type":"function"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html#sorted_set_get_scores/4","title":"Momento.Internal.ScsDataClient.sorted_set_get_scores/4","type":"function"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html#sorted_set_increment_score/6","title":"Momento.Internal.ScsDataClient.sorted_set_increment_score/6","type":"function"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html#sorted_set_put_elements/5","title":"Momento.Internal.ScsDataClient.sorted_set_put_elements/5","type":"function"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html#sorted_set_remove_elements/4","title":"Momento.Internal.ScsDataClient.sorted_set_remove_elements/4","type":"function"},{"doc":"","ref":"Momento.Internal.ScsDataClient.html#t:t/0","title":"Momento.Internal.ScsDataClient.t/0","type":"opaque"},{"doc":"","ref":"Momento.Requests.CollectionTtl.html","title":"Momento.Requests.CollectionTtl","type":"module"},{"doc":"","ref":"Momento.Requests.CollectionTtl.html#of/1","title":"Momento.Requests.CollectionTtl.of/1","type":"function"},{"doc":"","ref":"Momento.Requests.CollectionTtl.html#t:t/0","title":"Momento.Requests.CollectionTtl.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.CacheInfo.html","title":"Momento.Responses.CacheInfo","type":"module"},{"doc":"","ref":"Momento.Responses.CacheInfo.html#t:t/0","title":"Momento.Responses.CacheInfo.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.CreateCache.html","title":"Momento.Responses.CreateCache","type":"module"},{"doc":"","ref":"Momento.Responses.CreateCache.html#t:t/0","title":"Momento.Responses.CreateCache.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.CreateCache.Ok.html","title":"Momento.Responses.CreateCache.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.CreateCache.Ok.html#t:t/0","title":"Momento.Responses.CreateCache.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.Delete.html","title":"Momento.Responses.Delete","type":"module"},{"doc":"","ref":"Momento.Responses.Delete.html#t:t/0","title":"Momento.Responses.Delete.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.Delete.Ok.html","title":"Momento.Responses.Delete.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.Delete.Ok.html#t:t/0","title":"Momento.Responses.Delete.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.DeleteCache.html","title":"Momento.Responses.DeleteCache","type":"module"},{"doc":"","ref":"Momento.Responses.DeleteCache.html#t:t/0","title":"Momento.Responses.DeleteCache.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.DeleteCache.Ok.html","title":"Momento.Responses.DeleteCache.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.DeleteCache.Ok.html#t:t/0","title":"Momento.Responses.DeleteCache.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.Get.html","title":"Momento.Responses.Get","type":"module"},{"doc":"","ref":"Momento.Responses.Get.html#t:t/0","title":"Momento.Responses.Get.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.Get.Hit.html","title":"Momento.Responses.Get.Hit","type":"module"},{"doc":"","ref":"Momento.Responses.Get.Hit.html#t:t/0","title":"Momento.Responses.Get.Hit.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.ListCaches.html","title":"Momento.Responses.ListCaches","type":"module"},{"doc":"","ref":"Momento.Responses.ListCaches.html#t:t/0","title":"Momento.Responses.ListCaches.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.ListCaches.Ok.html","title":"Momento.Responses.ListCaches.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.ListCaches.Ok.html#t:t/0","title":"Momento.Responses.ListCaches.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.Set.html","title":"Momento.Responses.Set","type":"module"},{"doc":"","ref":"Momento.Responses.Set.html#t:t/0","title":"Momento.Responses.Set.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.Set.Ok.html","title":"Momento.Responses.Set.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.Set.Ok.html#t:t/0","title":"Momento.Responses.Set.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.Fetch.html","title":"Momento.Responses.SortedSet.Fetch","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.Fetch.html#t:t/0","title":"Momento.Responses.SortedSet.Fetch.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.Fetch.Hit.html","title":"Momento.Responses.SortedSet.Fetch.Hit","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.Fetch.Hit.html#t:t/0","title":"Momento.Responses.SortedSet.Fetch.Hit.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.GetRank.html","title":"Momento.Responses.SortedSet.GetRank","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.GetRank.html#t:t/0","title":"Momento.Responses.SortedSet.GetRank.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.GetRank.Hit.html","title":"Momento.Responses.SortedSet.GetRank.Hit","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.GetRank.Hit.html#t:t/0","title":"Momento.Responses.SortedSet.GetRank.Hit.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScore.html","title":"Momento.Responses.SortedSet.GetScore","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScore.html#t:t/0","title":"Momento.Responses.SortedSet.GetScore.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScore.Hit.html","title":"Momento.Responses.SortedSet.GetScore.Hit","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScore.Hit.html#t:t/0","title":"Momento.Responses.SortedSet.GetScore.Hit.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScores.html","title":"Momento.Responses.SortedSet.GetScores","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScores.html#t:t/0","title":"Momento.Responses.SortedSet.GetScores.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScores.Hit.html","title":"Momento.Responses.SortedSet.GetScores.Hit","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.GetScores.Hit.html#t:t/0","title":"Momento.Responses.SortedSet.GetScores.Hit.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.IncrementScore.html","title":"Momento.Responses.SortedSet.IncrementScore","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.IncrementScore.html#t:t/0","title":"Momento.Responses.SortedSet.IncrementScore.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.IncrementScore.Ok.html","title":"Momento.Responses.SortedSet.IncrementScore.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.IncrementScore.Ok.html#t:t/0","title":"Momento.Responses.SortedSet.IncrementScore.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElement.html","title":"Momento.Responses.SortedSet.PutElement","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElement.html#t:t/0","title":"Momento.Responses.SortedSet.PutElement.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElement.Ok.html","title":"Momento.Responses.SortedSet.PutElement.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElement.Ok.html#t:t/0","title":"Momento.Responses.SortedSet.PutElement.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElements.html","title":"Momento.Responses.SortedSet.PutElements","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElements.html#t:t/0","title":"Momento.Responses.SortedSet.PutElements.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElements.Ok.html","title":"Momento.Responses.SortedSet.PutElements.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.PutElements.Ok.html#t:t/0","title":"Momento.Responses.SortedSet.PutElements.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElement.html","title":"Momento.Responses.SortedSet.RemoveElement","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElement.html#t:t/0","title":"Momento.Responses.SortedSet.RemoveElement.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElement.Ok.html","title":"Momento.Responses.SortedSet.RemoveElement.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElement.Ok.html#t:t/0","title":"Momento.Responses.SortedSet.RemoveElement.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElements.html","title":"Momento.Responses.SortedSet.RemoveElements","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElements.html#t:t/0","title":"Momento.Responses.SortedSet.RemoveElements.t/0","type":"type"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElements.Ok.html","title":"Momento.Responses.SortedSet.RemoveElements.Ok","type":"module"},{"doc":"","ref":"Momento.Responses.SortedSet.RemoveElements.Ok.html#t:t/0","title":"Momento.Responses.SortedSet.RemoveElements.Ok.t/0","type":"type"},{"doc":"","ref":"Momento.Validation.html","title":"Momento.Validation","type":"module"},{"doc":"","ref":"Momento.Validation.html#validate_cache_name/1","title":"Momento.Validation.validate_cache_name/1","type":"function"},{"doc":"","ref":"Momento.Validation.html#validate_collection_ttl/1","title":"Momento.Validation.validate_collection_ttl/1","type":"function"},{"doc":"","ref":"Momento.Validation.html#validate_index_range/2","title":"Momento.Validation.validate_index_range/2","type":"function"},{"doc":"","ref":"Momento.Validation.html#validate_key/1","title":"Momento.Validation.validate_key/1","type":"function"},{"doc":"","ref":"Momento.Validation.html#validate_not_nil/2","title":"Momento.Validation.validate_not_nil/2","type":"function"},{"doc":"","ref":"Momento.Validation.html#validate_score/1","title":"Momento.Validation.validate_score/1","type":"function"},{"doc":"","ref":"Momento.Validation.html#validate_sort_order/1","title":"Momento.Validation.validate_sort_order/1","type":"function"},{"doc":"","ref":"Momento.Validation.html#validate_sorted_set_elements/1","title":"Momento.Validation.validate_sorted_set_elements/1","type":"function"},{"doc":"","ref":"Momento.Validation.html#validate_sorted_set_name/1","title":"Momento.Validation.validate_sorted_set_name/1","type":"function"},{"doc":"","ref":"Momento.Validation.html#validate_ttl/1","title":"Momento.Validation.validate_ttl/1","type":"function"},{"doc":"","ref":"Momento.Validation.html#validate_value/1","title":"Momento.Validation.validate_value/1","type":"function"}]